"""
  @author: LinTao
  @time: 2022/10/23 23:13
  @desc: 图片压缩Demo
"""

from PIL import Image
import os

#  定义原始图片路径
source = 'E:/PyCharm/project/woniuNote/resource/img/banner-1.jpg'

# 以KB为单位获取图片大小
size = int(os.path.getsize(source) / 1024)
print("原始图片大小为：%d KB" % size)

# 调整图片大小为1000的宽度
im = Image.open(source)
width, height = im.size
if width > 1000:
    # 等比例缩放
    height = int(height * 1000 / width)
width = 1000

# 调整当前图片的尺寸（同时也会压缩大小）
dest = im.resize((width, height), Image.ANTIALIAS)

# 将图片保存并使用80%的质量进行压缩（继续压缩）
dest.save('E:/PyCharm/project/woniuNote/resource/img/new.jpg', quality=80)

size = int(os.path.getsize('E:/PyCharm/project/woniuNote/resource/img/new.jpg') / 1024)
print("压缩图片大小为：%d KB" % size)
